KBUILDSYCOCA4(8)

NAME
kbuildsycoca4 - Reconstrói a 'cache' de configurações do sistema.

SINTAXE

kbuildsycoca4 [[--nosignal] | [--noincremental] | [--checkstamps] | [--nocheckfiles] | [--global] | [--menutest] | [--track menu-id] | [--help] | [--help-qt] | [--help-kde] | [--help-all] | [--author] | [-v, --version] | [--license]]

DESCRIçãO

O kbuildsycoca4, como parte das ferramentas da linha de comando do KDE, garante o funcionamento correto do KDE ao ler todos os arquivos .desktop, .xml e .protocol para construir uma base de dados binária.

O KDE em si acessa esta base de dados, durante a sua operação, para oferecer as informações de configuração que um programa necessita para executar.

Esta ferramenta faz parte do 'ksycoca4', que significa KDE System Configuration Cache ('Cache' de Configuração do Sistema KDE)

OPçõES

--nosignal
    Não enviar sinais aos aplicativos para atualizar

--noincremental
    Desativar a atualização incremental, reler tudo

--checkstamps
    Verificar as marcas de tempo do arquivo

--nocheckfiles
    Desativar a verificação de arquivos (perigoso)

--global
    Criar uma base de dados global

--menutest
    Efetuar apenas a execução do teste de geração do menu

--track id-menu
    Seguir o id do menu para depuração

--help
    Mostra a ajuda sobre as opções.

--help-qt
    Mostra as opções específicas do Qt.

--help-kde
    Mostra as opções específicas do KDE

--help-all
    Mostrar todas as opções

--author
    Exibe informações sobre o autor

-v , --version
    Exibe informações sobre a versão

--license
    Exibe informações sobre a licença

UTILIZAçãO

Uma forma normal de executar este programa é simplesmente digitando o seguinte comando na linha de comando kbuildsycoca4

ARQUIVOS

/var/tmp/kde-$USER/ksycoca4
    A pasta padrão onde são guardados os arquivos da 'cache'.

VARIáVEIS DE AMBIENTE

$KDEDIRS
    Indica que pastas fazem parte da instalação do KDE

$KDESYCOCA
    Especifica o caminho do arquivo de banco de dados do sycoca

VEJA TAMBéM

kdeinit4

PROBLEMAS

Ainda existem provavelmente muitos erros. Use o bugs.kde.org[1] para reportá-los.

AUTHOR

Darian Lanx <content@openprojects.net>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org